Subject: Re: [PATCH] sequencer: honor GIT_REFLOG_ACTION

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Apr 2020 13:46:21 -0700

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> From: Elijah Newren <[email-masked]>
>
> There is a lot of code to honor GIT_REFLOG_ACTION throughout git,
> including some in sequencer.c; unfortunately, reflog_message() and its
> callers ignored it.  Instruct reflog_message() to check the existing
> environment variable, and use it when present as an override to
> action_name().
>
> Also restructure pick_commits() to only temporarily modify
> GIT_REFLOG_ACTION for a short duration and then restore the old value,

Yeah, I was wondering what you'd be doing about that setenv().  The
code around there looks good.  I briefly wondered what would happen
when the environment variable is totally unset upon entry, but then
we'd have the fallback value of action_name(opts) in there, so we
won't have a risk of running xstrdup(NULL).